Get Pipelines

http
GET https://services.leadconnectorhq.com/opportunities/pipelines

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KT

Responses

200 - Successful response
  • pipelines (object[])

    • id (string): Example: aWdODOBVOlH1RUFKWQke

    • name (string): Example: new pipeline

    • stages (array[])

    • showInFunnel (boolean): Example: False

    • showInPieChart (boolean): Example: True

    • locationId (string): Example: dsjddjkndadqaja

    • colorRenderMode (string): How pipeline/stage colors are rendered Possible values: 'dot', 'bg-tint', 'none'

json
{
  "pipelines": [
    {
      "id": "aWdODOBVOlH1RUFKWQke",
      "name": "new pipeline",
      "stages": [
        []
      ],
      "showInFunnel": false,
      "showInPieChart": true,
      "locationId": "dsjddjkndadqaja",
      "colorRenderMode": "dot"
    }
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/opportunities/pipelines' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?